Lifecycle
All operations require authentication.
Get whether a resiliation can be canceledProduction
Returns whether the ongoing resiliation of the access can still be canceled.
Path parameters
Service name
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ canCancelResiliation \
-H "authorization: Bearer $OVH_TOKEN"true
Cancel the resiliation of an xDSL accessProduction
Cancels the ongoing resiliation of the access. Check first that it can be canceled with canCancelResiliation.
Path parameters
Service name
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ cancelResiliation \
-H "authorization: Bearer $OVH_TOKEN"Switch an xDSL access to total deconsolidationProduction
Switches the access to total deconsolidation, porting its line number with its RIO code unless noPortability is set. Returns the task that performs the change.
Path parameters
Service name
Request body (required)
Do not port the number
A token to prove the ownership of the line number, needed to port the number
Response
Date when the action was completed
Status of a task.
cancelleddoingdoneerrorproblemtodoDate when the action will start
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ requestTotalDeconsolidation \
-H "authorization: Bearer $OVH_TOKEN"{ "doneDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "isArchived": true, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z", "updateDate": "2024-01-01T12:00:00Z"}
Resiliate an xDSL accessProduction
Requests the resiliation of the access at the given date with a resiliation survey. Returns the resiliation status, effective date and whether the modem must be returned.
Path parameters
Service name
Request body (required)
The desired resiliation date
Information about the reason for the resiliation
Response
Date when the resiliation will take effect
If the customer needs to return his modem
Date when the resiliation was done
Status of the resiliation
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ resiliate \
-H "authorization: Bearer $OVH_TOKEN"{ "dateTodo": "2024-01-01T12:00:00Z", "needModemReturn": true, "registrationDate": "2024-01-01T12:00:00Z", "status": "string"}
Get the resiliation follow-up of an xDSL accessProduction
Returns the status of the ongoing resiliation of the access, its effective date and whether the modem must be returned.
Path parameters
Service name
Response
Date when the resiliation will take effect
If the customer needs to return his modem
Date when the resiliation was done
Status of the resiliation
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ resiliationFollowup \
-H "authorization: Bearer $OVH_TOKEN"{ "dateTodo": "2024-01-01T12:00:00Z", "needModemReturn": true, "registrationDate": "2024-01-01T12:00:00Z", "status": "string"}
Get the resiliation terms of an xDSL accessProduction
Returns, for a resiliation date, the amount due, the engagement end date, the minimum resiliation date and the available resiliation reasons.
Path parameters
Service name
Query parameters
The desired resiliation date
Response
Price with it's currency and textual representation
Date until which the customer is engaged
Minumum resiliationDate
Date at which the access will be resiliated
List of available resiliation reasons
addressMovebillingProblemscessationOfActivitychangeOfTermsftthgoToCompetitorothertechnicalProblemsExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ resiliationTerms \
-H "authorization: Bearer $OVH_TOKEN"{ "due": { "currencyCode": "AUD", "priceInUcents": 0, "text": "string", "value": 0 }, "engageDate": "2024-01-01T12:00:00Z", "minResiliationDate": "2024-01-01T12:00:00Z", "resiliationDate": "2024-01-01T12:00:00Z", "resiliationReasons": [ "addressMove" ]}
Get the total deconsolidation terms of an xDSL accessProduction
Returns the price, the monthly price and the engagement duration to switch the access to total deconsolidation.
Path parameters
Service name
Response
Duration of month the access will be engaged
Price with it's currency and textual representation
Price with it's currency and textual representation
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ totalDeconsolidationTerms \
-H "authorization: Bearer $OVH_TOKEN"{ "engagement": 0, "monthlyPrice": { "currencyCode": "AUD", "priceInUcents": 0, "text": "string", "value": 0 }, "price": { "currencyCode": "AUD", "priceInUcents": 0, "text": "string", "value": 0 }}